Skip to main content
POST
/
api
/
v1
/
social
/
resize
Resize template
curl --request POST \
  --url https://api.kynva.ai/api/v1/social/resize \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "templateId": "<string>",
  "targets": [
    {
      "platform": "<string>",
      "format": "<string>"
    }
  ],
  "strategy": "reflow",
  "respectSafeZones": true,
  "letterboxColor": "#000000"
}
'
import requests

url = "https://api.kynva.ai/api/v1/social/resize"

payload = {
    "templateId": "<string>",
    "targets": [
        {
            "platform": "<string>",
            "format": "<string>"
        }
    ],
    "strategy": "reflow",
    "respectSafeZones": True,
    "letterboxColor": "#000000"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    templateId: '<string>',
    targets: [{platform: '<string>', format: '<string>'}],
    strategy: 'reflow',
    respectSafeZones: true,
    letterboxColor: '#000000'
  })
};

fetch('https://api.kynva.ai/api/v1/social/resize', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Body

application/json
templateId
string
required

Source template ID

targets
object[]
required

Target platform/format combinations

strategy
enum<string>
default:reflow
Available options:
scale,
reflow,
crop,
letterbox,
smart
respectSafeZones
boolean
default:true
letterboxColor
string
default:#000000

Response

200

Default Response